<script setup lang="ts">
import { ref } from 'vue'
import { useI18n } from 'vue-i18n'
//import { useRouter } from 'vue-router'
import { useAppStore } from '../stores/AppStore'
import { useMemberStore } from '../stores/MemberStore'
//import Consts from '../Consts'

// using
const { t } = useI18n({
	messages: {
		en: {
			email: `Email`,
			ok: `Send Email`,
			check: `Please check {mail} for your instruction.`,
		},
		th: {
			email: `อีเมล`,
			ok: `ส่งอีเมล`,
			check: `โปรดเช็ค {mail} สำหรับคำแนะนำต่อไป`,
		},
	},
})
//const router = useRouter()
const appStore = useAppStore()
const memberStore = useMemberStore()

// states
const email = ref(localStorage.getItem('email') || "")

async function onSubmit() {
	// calls REST
	const result = await appStore.waitBoxAsync(async () =>
		await memberStore.client.call(`member/reset`, {
			method: 'POST',
			data: {
				reset: {
					mail: email.value.trim(),
				}
			},
		})
	)
	if (appStore.handleRestResultUi(result))
		return

	// success, retrieves REST data
	appStore.messageBoxInfo(t('check', { mail: email.value.trim() }))
	//router.go(-1)
}

</script>


<style scoped></style>


<template>
	<form id="signUpForm" @submit.prevent="onSubmit">
		<!-- email -->
		<div>
			<label for="email">{{ t('email') }}</label>
			<input id="email" type="email" :placeholder="t('email')" required v-model="email" />
		</div>

		<div>
			<button type="submit">{{ t('ok') }}</button>
		</div>
	</form>
</template>
